// MicroscanMS3.h: interface for the CMicroscanMS3 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MICROSCANMS3_H__F20D6C6E_9692_4268_8C47_A66D5681F098__INCLUDED_)
#define AFX_MICROSCANMS3_H__F20D6C6E_9692_4268_8C47_A66D5681F098__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Scanner.h"
#include "Utility.h"

#ifdef  BUILD_COMMDLL
#define     COMMDLL_DLLCLASS    __declspec(dllexport)
#else
#define     COMMDLL_DLLCLASS    __declspec(dllimport)
#endif

class COMMDLL_DLLCLASS CMicroscanMS3 : public CScanner, CMyWait
{
public:
    bool    Off();
    bool    On();
    bool    ReadBarCode(DWORD dwTimeout, CString &csBarcode);
    CString GetReceiveData();
    void    ReceiveComm(const char *cpcBuffer, int nSize);
    CMicroscanMS3();
    virtual ~CMicroscanMS3();

private:
    CString m_csBarcode;
    HANDLE  m_hSuccess;
};

#endif // !defined(AFX_MICROSCANMS3_H__F20D6C6E_9692_4268_8C47_A66D5681F098__INCLUDED_)
